#ifndef CALL_PIXIE_H
#define CALL_PIXIE_H

#include <vector>

// read output generated from an external source (aka Renderman)
void HackFreqSamples(std::vector<FreqSample> & outSamples,
    const char* rib_filename_base, int numSamples);

// these functions actually clear inSamples because memory is tight
// and the output has all of the information of the input
void RenderFreqSamplesMultiFile(std::vector<InputSample> & inSamples,
    std::vector<FreqSample> & outSamples, int width, int height,
    const char* rib_filename, const char* infilename_base,
    const char* outfilename_base, bool re_run, bool keep_temp_files,
    float animationOffset, float timeCompress);


void RenderColorSamplesMultiFile(std::vector<InputSample> & inSamples,
    std::vector<ColorSample> & outSamples, int width, int height,
    const char* rib_filename, const char* infilename_base,
    const char* outfilename_base, bool re_run, bool keep_temp_files,
    float animationOffset, float timeCompress);



void RenderFreqSamples(std::vector<InputSample> & inSamples,
    std::vector<FreqSample> & outSamples, int width, int height,
    const char* rib_filename, const char* infilename_base,
    const char* outfilename_base, bool re_run, bool keep_temp_files);



void RenderColorSamples(std::vector<InputSample> & inSamples,
    std::vector<ColorSample> & outSamples, int width, int height,
    const char* rib_filename, const char* infilename_base,
    const char* outfilename_base, bool re_run, bool keep_temp_files);

#endif

