#include <iostream>

#include "util.h"

using namespace std;

int main(int argc, char* argv[]) {
  if (argc < 3) {
    cout << "You need to specify two filenames" << endl;
  }
  float *data1, *data2;
  int width1, height1;
  int width2, height2;
  ReadExr(argv[1], data1, width1, height1);
  ReadExr(argv[2], data2, width2, height2);
  if (width1 != width2 || height1 != height2) {
    cout << "ERROR: dimensions mismatch" << endl;
    exit(0);
  }
  double se = 0;
  double sum = 0;
  for (int y = 0; y < height1; y++) {
    for (int x = 0; x < width1; x++) {
      for (int c = 0; c < 3; c++) {
        double v1 = data1[y * width1 * 4 + x * 4 + c];
        double v2 = data2[y * width1 * 4 + x * 4 + c];
        se += (v1 - v2) * (v1 - v2);
        sum += (v2 * v2);
      }
    }
  }
  cout << (se / sum) << endl;
}
